StreamMessageUtil (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.reader

## Class StreamMessageUtil

- java.lang.Object
- - org.apache.activemq.artemis.reader.MessageUtil
  - - org.apache.activemq.artemis.reader.StreamMessageUtil

-     public class StreamMessageUtil
      extends MessageUtil

- - ### Field Summary

    - ### Fields inherited from class org.apache.activemq.artemis.reader.MessageUtil

      `CONNECTION_ID_PROPERTY_NAME, CORRELATIONID_HEADER_NAME, JMS, JMS_, JMSX, JMSXDELIVERYCOUNT, JMSXGROUPID, REPLYTO_HEADER_NAME, TYPE_HEADER_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamMessageUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `streamReadBoolean(ActiveMQBuffer buff)` Method to read boolean values out of the Stream protocol existent on JMS Stream Messages Throws IllegalStateException if the type was invalid
    `static byte` | `streamReadByte(ActiveMQBuffer buff)`
    `static Pair<Integer,Integer>` | `streamReadBytes(ActiveMQBuffer buff, int remainingBytes, byte[] value)` Utility for reading bytes out of streaming.
    `static char` | `streamReadChar(ActiveMQBuffer buff)`
    `static double` | `streamReadDouble(ActiveMQBuffer buff)`
    `static float` | `streamReadFloat(ActiveMQBuffer buff)`
    `static int` | `streamReadInteger(ActiveMQBuffer buff)`
    `static long` | `streamReadLong(ActiveMQBuffer buff)`
    `static Object` | `streamReadObject(ActiveMQBuffer buff)`
    `static short` | `streamReadShort(ActiveMQBuffer buff)`
    `static String` | `streamReadString(ActiveMQBuffer buff)`

    - ### Methods inherited from class org.apache.activemq.artemis.reader.MessageUtil

      `clearProperties, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSReplyTo, getJMSType, getPropertyNames, propertyExists, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSReplyTo, setJMSType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamMessageUtil

          public StreamMessageUtil()

  - ### Method Detail

    - #### streamReadBoolean

          public static boolean streamReadBoolean(ActiveMQBuffer buff)

      Method to read boolean values out of the Stream protocol existent on JMS Stream Messages Throws IllegalStateException if the type was invalid
      Parameters:
        `buff` -
      Returns:

    - #### streamReadByte

          public static byte streamReadByte(ActiveMQBuffer buff)

    - #### streamReadShort

          public static short streamReadShort(ActiveMQBuffer buff)

    - #### streamReadChar

          public static char streamReadChar(ActiveMQBuffer buff)

    - #### streamReadInteger

          public static int streamReadInteger(ActiveMQBuffer buff)

    - #### streamReadLong

          public static long streamReadLong(ActiveMQBuffer buff)

    - #### streamReadFloat

          public static float streamReadFloat(ActiveMQBuffer buff)

    - #### streamReadDouble

          public static double streamReadDouble(ActiveMQBuffer buff)

    - #### streamReadString

          public static String streamReadString(ActiveMQBuffer buff)

    - #### streamReadBytes

          public static Pair<Integer,Integer> streamReadBytes(ActiveMQBuffer buff,
                                                              int remainingBytes,
                                                              byte[] value)

      Utility for reading bytes out of streaming. It will return remainingBytes, bytesRead
      Parameters:
        `remainingBytes` - remaining Bytes from previous read. Send it to 0 if it was the first call for the message
        `buff` -
      Returns:
        a pair of remaining bytes and bytes read

    - #### streamReadObject

          public static Object streamReadObject(ActiveMQBuffer buff)

Copyright © 2015. All rights reserved.